Get Broker Server Certificates
get
/api/broker/Servers/executeReadCerts
Gets the certificate and key files required to share trust between servers. This endpoint is intended for internal use by the Broker to share certificates between broker-managed servers. You must have the execute permission for servers to use this endpoint.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulGetOperation
The response body for a successful get operation.
-
object
type
Nested Schema : SuccessfulGetOperation
Type:
objectThe response body for a successful get operation.
Show Source
-
message: string
The response message.Example:
Loaded 1 entries -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of certificate and key files returned.Example:
2
Nested Schema : brokerServersReadCerts
Type:
Show Source
object-
Content: string
(byte)
The base64-encoded file content.
-
Filename: string
The certificate or key file name.Example:
Assure1CA.crt
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.